magic-1.1: Interface to C file/magic library

Copyright | Copyright (C) 2005 John Goerzen
License | BSD
Maintainer | John Goerzen,
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Magic.Operations

Contents

- Guessing the type
- Other operations

Description

Initialization and shutdown for magic programs

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- magicFile :: Magic -> FilePath -> IO String
- magicStdin :: Magic -> IO String
- magicString :: Magic -> String -> IO String
- magicCString :: Magic -> CStringLen -> IO String
- magicSetFlags :: Magic -> [MagicFlag] -> IO ()
- magicCompile :: Magic -> Maybe String -> IO ()

# Guessing the type

magicFile :: Magic -> FilePath -> IO String Source #

Calls the Magic system on the specified file.

magicStdin :: Magic -> IO String Source #

Calls the Magic system on stdin.

magicString :: Magic -> String -> IO String Source #

Calls the Magic system to process the given String. Please note: it is not evaluated lazily.

magicCString :: Magic -> CStringLen -> IO String Source #

Lower-level function used to call the Magic system to process a C string.

# Other operations

magicSetFlags :: Magic -> [MagicFlag] -> IO () Source #

Change the flags on an already-created object.

magicCompile Source #

Arguments

:: Magic | Object to use
-> Maybe String | Colon separated list of databases, or Nothing for default
-> IO () |

Compile the colon-separated list of database file(s). The compiled files created have .mgc added to the names of the argument.